# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from mssqlctl.cli.core.i18n import translate
from mssqlctl.cli.core.commands import CliCommandsLoader

# pylint: disable=unused-import
_ = translate('mssqlctl.cli.commands.app')
import mssqlctl.cli.commands.app.help


class AppCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(AppCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from mssqlctl.cli.commands.app.command_table import \
            load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from mssqlctl.cli.commands.app.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = AppCommandsLoader
