# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

# pylint: disable=unused-import
from mssqlctl.cli.core.commands import CliCommandsLoader
from mssqlctl.cli.core.i18n import translate
_ = translate('mssqlctl.cli.commands.hdfs')
import mssqlctl.cli.commands.hdfs.help


class HdfsCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(HdfsCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from mssqlctl.cli.commands.hdfs.command_table import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from mssqlctl.cli.commands.hdfs.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = HdfsCommandsLoader
