# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from mssqlctl.cli.core.i18n import translate
from mssqlctl.cli.core.commands import CliCommandsLoader

# pylint: disable=unused-import
_ = translate('mssqlctl.cli.commands.notebook')
import mssqlctl.cli.commands.notebook.help


class NotebookCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(NotebookCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from mssqlctl.cli.commands.notebook.command_table import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from mssqlctl.cli.commands.notebook.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = NotebookCommandsLoader
