# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------


# pylint: disable=unused-import
from mssqlctl.cli.core.i18n import translate
from mssqlctl.cli.core.commands import CliCommandsLoader

_ = translate('mssqlctl.cli.commands.profile')
import mssqlctl.cli.commands.profile.help


class ProfileCommandsLoader(CliCommandsLoader):

    def __init__(self, cli_ctx=None):
        super(ProfileCommandsLoader, self).__init__(cli_ctx=cli_ctx)

    def load_command_table(self, args):
        from mssqlctl.cli.commands.profile.command_table \
            import load_command_table
        load_command_table(self, args)
        return self.command_table

    def load_arguments(self, command):
        from mssqlctl.cli.commands.profile.arguments import load_arguments
        load_arguments(self, command)


COMMAND_LOADER_CLS = ProfileCommandsLoader
