import os

BASE = os.path.dirname(os.path.realpath(__file__))
"""
Base directory
"""

CONFIG_DIR = os.path.join(BASE, 'deployment_configs')
"""
Config directory
"""

HELP_DIR = os.path.join(CONFIG_DIR, 'help')
"""
Help config directory
"""

BDC_CONFIG_FILENAME = 'bdc.json'
"""
Cluster config file name
"""

CONTROL_CONFIG_FILENAME = 'control.json'
"""
Control config file name
"""

CONFIG_FILES = [BDC_CONFIG_FILENAME, CONTROL_CONFIG_FILENAME]
"""
Array of config file names from profiles
"""

IS_WINDOWS = os.name == 'nt'
"""
Boolean for whether the CLI is in the Windows env
"""

IO_DELIM = '(?<!\\\\),(?=[\w/.$]+)'
"""
Defines the IO delimiter for json key/value pairs on config set
"""

KEY_VALUE_SPLIT = '(?<!\\\\)(?<!=)=(?!=)'
"""
Defines the key/value delimiter
"""

AZDATA_USERNAME = 'AZDATA_USERNAME'
"""
Defines the username env variable for login
"""

AZDATA_PASSWORD = 'AZDATA_PASSWORD'
"""
Defines the password env variable for login
"""
